Ubuntu

[Acer aspire 7736] Playback not working due to incorrect SKU override

Reported by Stevenson Dorastin on 2010-08-13
152
This bug affects 28 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
David Henningsson
Maverick
Undecided
Unassigned

Bug Description

=====
This bug is about Acer Aspire 7736, 7736z, 7736g, 7736zg, and only exact those models. If you have different hardware, please file a separate bug, e g using the "ubuntu-bug audio" command. Other computer models are unlikely to be helped by the fix below.
=====
Current workaround for Lucid and Maverick:
 * https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules
 * Reboot
 * You might have to turn up the volume of "Speaker" in alsamixer
=====

Sound does not play back on my Acer aspire7736z. I Check all my sound setting, but still nothing.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: alsa-base 1.0.23+dfsg-1ubuntu2
ProcVersionSignature: Ubuntu 2.6.35-14.19-generic 2.6.35
Uname: Linux 2.6.35-14-generic i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: i386
AudioDevicesInUse:
 Cannot stat file /proc/4346/fd/27: Stale NFS file handle
 Cannot stat file /proc/4346/fd/36: Stale NFS file handle
                      USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 2978 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf4700000 irq 46'
   Mixer name : 'Intel Cantiga HDMI'
   Components : 'HDA:10ec0888,10250205,00100202 HDA:11c11040,11c10001,00100200 HDA:80862802,80860101,00100000'
   Controls : 32
   Simple ctrls : 17
Date: Fri Aug 13 22:59:21 2010
LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Alpha i386 (20100803.1)
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SelectedCard: 0 Intel HDA-Intel - HDA Intel
SourcePackage: alsa-driver
Symptom: audio
Title: [Realtek ALC888] ALSA test tone not correctly played back
dmi.bios.date: 12/09/2009
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V2.04
dmi.board.name: JV50
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV2.04:bd12/09/2009:svnAcer:pnAspire7736:pvr0100:rvnAcer:rnJV50:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: Aspire 7736
dmi.product.version: 0100
dmi.sys.vendor: Acer

C Pirnat (histoplasmosis) wrote :

This is also effecting my on my 64bit system.

C Prinat, if you have different hardware/running a 64-bit version of Ubuntu, plesae file a different bug using ubuntu-bug alsa-base.

summary: - [Realtek ALC888] ALSA test tone not correctly played back
+ [Acer aspire 7736z - Realtek ALC888] ALSA test tone not correctly played
+ back

Does this apply to internal speakers, headphones, line-out (if any) or all of them?

Changed in alsa-driver (Ubuntu):
status: New → Incomplete

It applies to all of them.

On Oct 5, 2010 2:47 PM, "David Henningsson" <email address hidden>
wrote:

Does this apply to internal speakers, headphones, line-out (if any) or
all of them?

** Changed in: alsa-driver (Ubuntu)
      Status: New => Incomplete

--
[Acer aspire 7736z - Realtek ALC888] ALSA test tone not correctly played
back

https://bugs.launchpad.net/bugs/617647 You received this bug notification
because you are a direct s...
Status in “alsa-driver” package in Ubuntu: Incomplete

Bug description: Sound does not play back on my Acer aspire7736z. I Check
all my sound setting, but...

Hmm, the codec graph looks correct...

I'm far from sure it'll help, but could you also try https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules to see if that improves the situation? Thanks!

still does not work.

-----Original Message-----
From: David Henningsson <email address hidden>
Reply-to: Bug 617647 <email address hidden>
To: <email address hidden>
Subject: [Bug 617647] Re: [Acer aspire 7736z - Realtek ALC888] ALSA test
tone not correctly played back
Date: Tue, 05 Oct 2010 19:33:51 -0000

Hmm, the codec graph looks correct...

I'm far from sure it'll help, but could you also try
https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules to see if
that improves the situation? Thanks!

same problem for me.

the only workaround is using the old 2.6.32 kernel that remain after the update from 10.04 to 10.10.

gbhuvanesh (gbhuvanesh) wrote :

Sound does not play back on my Acer Aspire 4930. Neither the internal speakers work nor the headphone output. This was working fine on Ubuntu 10.04 64bit.

Jimmy Buck (jimmybuck) wrote :

Same problem on a fresh install of 10.10 i386. If anybody needs any info from me, please let me know.

Jimmy Buck (jimmybuck) wrote :

Here's a link to the output of the ALSA information script for my system.

http://www.alsa-project.org/db/?f=09c5b146431acfddfd090cd7df4a819135431b9b

gbhuvanesh (gbhuvanesh) wrote :

Looks like this issue is similar to Bug #647970 [Realtek ALC888] ALSA test tone not correctly played back.
Sound does not playback properly on Acer 4930 in Ubuntu 10.10

David Henningsson (diwic) wrote :

So for Acer 4930 this is a regression, since it was working in Lucid. What about Acer 7736z, was that one working in Lucid as well?

yes it was working on lucid (acer aspire 7736z).

On Oct 11, 2010 6:25 AM, "David Henningsson" <email address hidden>
wrote:

So for Acer 4930 this is a regression, since it was working in Lucid.
What about Acer 7736z, was that one working in Lucid as well?

-- [Acer aspire 7736z - Realtek ALC888] ALSA test tone not correctly played
back https://bugs.laun...

I have the 7736z and I can confirm that it works in Lucid. I just wiped the hard drive and installed 10.04.1 and the sound works. It still works after applying all of the available updates.

I also installed Linux Mint Debian Edition and the sound works after all updates are applied.

tags: added: regression-release
David Henningsson (diwic) wrote :

Aha, so it is a regression. Then could I have an alsa-info ( http://wiki.ubuntu.com/Audio/AlsaInfo ) from the same machine, both when it is working under 10.04 and when it is non-working under 10.10? I'll then try to see if there are any differences that can hint the problem. Thanks in advance!

gbhuvanesh (gbhuvanesh) wrote :

I just added the following to alsa-base.conf on a fresh install of Ubuntu 10.10 on my Acer 4930

options snd-hda-intel model=acer-aspire-4930g

alias snd-card-0 snd-hda-intel
options snd-hda-intel model=auto

Now sound playback works fine (both internal speakers and headphone jack). Hope this helps.

On 10.04 when I plug in my headphone I hear sound from both speakers and
headphone at the same time.

On Oct 11, 2010 10:31 AM, "gbhuvanesh" <email address hidden> wrote:

I just added the following to alsa-base.conf on a fresh install of
Ubuntu 10.10 on my Acer 4930

options snd-hda-intel model=acer-aspire-4930g

alias snd-card-0 snd-hda-intel
options snd-hda-intel model=auto

Now sound playback works fine (both internal speakers and headphone
jack). Hope this helps.

-- [Acer aspire 7736z - Realtek ALC888] ALSA test tone not correctly played
back https://bugs.laun...

Sorry for the typo above. The entries made to alsa-base.conf are

alias snd-card-0 snd-hda-intel
options snd-hda-intel model=auto

sound playback now works fine on Acer 4930 using Ubuntu 10.10
Inbuilt speaker output works fine. When I plug in my headphone, the speaker output is cut and headphone output works fine.

Jimmy Buck (jimmybuck) wrote :

Thanks, gbhuvanesh, I'll try that on my 7736z when I reload 10.10 to get the Alsa-Info that was requested earlier. But seeing as how I didn't need to do anything like that in 10.04, I don't think I should have to do it in 10.10.

Devs, since I just got this laptop, I don't have anything important on it. I'm totally willing to do anything you need me to do to get this figured out. I'll run that Alsa-Info script when I get home tonight.

Qusai Abu Hilal (kosai) wrote :

Thanks, gbhuvanesh,
May you tell me how to put these entries ?

I did not find alsa-base.conf !

Thank you very much.

Jimmy Buck (jimmybuck) wrote :

I have attached a zip file containing three output files from the alsa-info script.

1. output from 10.04 with the sound working
2. output from 10.10 with no sound
3. output from 10.10 with the lines added to the alsa-base.conf file that were suggested here, these lines didn't solve the problem for me, but I thought I would run the script with them just in case

For the person who asked earlier, your alsa-base file should be located at /etc/modprobe.d/alsa-base.conf. Run the following in a terminal to edit it:

sudo nano /etc/modprobe.d/alsa-base.conf

C Pirnat (histoplasmosis) wrote :

I believe it has something to do with the way the card is detected. I've been trying to get this working for a while now. The only thing i've found is switching to the 2.6.32 kernel solves it in any distro. In arch I tried downgrading alsa to 1.0.22 and still no sound but it works fine with 2.6.32 and alsa 1.0.23. I think the problem is in the snd-hda-intel driver not alsa. From my understanding the driver is built in to the kernel now?

Other interesting things i've found is that alsamixer reports a different chip in 10.10 vs. 10.04.

10.10 Card: HDA Intel Chip: Intel Cantiga HDMI (Sound doesn't work)
10.04 Card: HDA Intel Chip: Intel G45 ... (Sound works)

On my acer aspire 7736z i've tried passing all kinds of model settings in /etc/modprobe.d/alsa-base.conf with no success

Qusai Abu Hilal you can find alsa-base.conf in /etc/modprobe.d/alsa-base.conf

Jimmy Buck (jimmybuck) wrote :

I enabled the maverick-proposed repo and checked for updates and installed them. It seemed to install a new kernel (2.6.35), but my sound still doesn't work after a reboot.

C Pirnat (histoplasmosis) wrote :

To Luke: This bug effects both 64bit and 32bit systems as far as I can tell, and nearly any distro that uses 2.6.35.

Why is this bug marked incomplete what other info do the devs need to forward it to the maintainers?

David Henningsson (diwic) wrote :

So if "model=auto" solves it for 4930 but not for 7736z, they are different bugs and so I'd ask you to keep the 4930 stuff to its own bug and 7736z stay here. Thanks.
@Jimmy, thanks for the alsa-info, I'll analyze it shortly.

David Henningsson (diwic) wrote :

Hmm, might be that the SKU is wrong. I've made a small test package to see if that's the case:
1) Uninstall any ALSA driver overrides if you have installed those
2) Download and install http://people.canonical.com/~diwic/temp/alsa-hda-realtek-ignore-sku-dkms_1.0.23.diwic_all.deb
3) Reboot
4) Check if things are working better
5) Post an alsa-info according to http://wiki.ubuntu.com/Audio/AlsaInfo

Thanks!

I am also effected on my 7736z. No sound after fresh install to 10.10. Received new linux kernel update this morning (12 Oct) but no change in sound.

Here is my alsa-info.sh output:
http://www.alsa-project.org/db/?f=7ad7fdf1cdee9395368f1556a2d86e89959dad8b

I began a bug report at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/658322 before I found this report. I think they are the same.

stigger (f-klemme) wrote :

@ #27
Thank you David. With the deb installed i got sound again with Maverick on a Acer Aspire 7736G.

@David.

Your .deb fixed the the problem for me (at least I now have sound in youtube). I have attached the before and after alsa-info files.

Regards,
Niels Kristian

@Niels & @Stigger -
Did you have any specifications in your /etc/modprobe.d/alsa-base.conf? I installed the deb from @David, but still no sound on 7736z. Is there a step not explicitly given that I missed?

@Matthew.

I have not added any extra lines to /etc/modprobe.d/alsa-base.conf. I had to un-mute the sound though. Also you should make sure to add the dkms package before installing David's .deb package.

Regards,
Niels Kristian

YES!
Thanks Niels. I tried to install it prior to putting the dkms package in. So, I ran

"sudo dpkg --configure -a"

and the re-installed the deb from David. PRESTO!! SOUND!! THANK YOU ALL! FIXES MAKE HAPPY USERS!

Regards,
Matt

David Henningsson (diwic) wrote :

Cool! :-) Just to make sure we get the best fix for this bug, could you check all inputs and outputs to make sure they are all working? (E g internal mic, mic jack, internal speakers, headphones, digital I/O if any, etc)

Changed in alsa-driver (Ubuntu):
assignee: nobody → David Henningsson (diwic)
langmarp (langmarpeter) wrote :

Hi

I have tried this solution, but it is still not working from me (acer 2930)

The reason might be, that I am a new Ubuntu user.

Could you please post a more detailed, step by step guideline?

Thanks in advance.

Best regards,
Peter

David Henningsson (diwic) wrote :

@langmarp, you're having different hardware, please file a separate bug. Thanks!

Jimmy Buck (jimmybuck) wrote :

langmarp, this bug seems to be pretty specific to the 7736z so I don't think it will solve your sound issues. You should probably make a post in the Ubuntu forums instead, people will be more helpful over there.

Adding those lines in alsa-base.conf worked for my Acer 7730G:

alias snd-card-0 snd-hda-intel
options snd-hda-intel model=auto

Thanks gbhuvanesh

On Thu, Oct 14, 2010 at 01:23:30AM EST, Jimmy Buck wrote:
> langmarp, this bug seems to be pretty specific to the 7736z so I don't
> think it will solve your sound issues. You should probably make a post
> in the Ubuntu forums instead, people will be more helpful over there.

Actually, as David said, filing a new bug is a much better approach, as we automatically get information about your hardware, and can immediately start working with you to fix your problem. I don't know about the other audio developers, but I personally don't frequent the forums.

I can confirm that David's fix works and that the inputs I could check are working. I don't have any way to check the digital out.

The internal and mic jack both seem to work. And the speakers mute when headphones are plugged in.

Changed in alsa-driver (Ubuntu):
status: Incomplete → In Progress
compiler (compiler) wrote :

i've tried the fix from David, but at my 7736z and ubuntu 10.10 there is sadly no sound. here is my alsa-info (http://www.alsa-project.org/db/?f=3b477c93dc1ce7d4ba664263741484c091a057b0). thanks for your help.

David Henningsson (diwic) wrote :

@compiler, you probably have another alsa driver override installed, probably the one at https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules . Make sure you uninstall that one, then retry. Thanks.

David Henningsson (diwic) wrote :

@compiler, looking at your alsa-info again I'm not sure that you actually have an alsa override installed, sorry. what's the output of "modinfo snd-hda-codec"?

Dax (bugs-metworst) wrote :

Having an Acer Apire 7730ZG, needed David´s patch, followed by gbhuvanesh' workaround.

Now it's working smoothly :-)

Coollie (glsteba-gmail) wrote :

Confirmed, used gbhuvanesh workaround working perfectly.
GreeTz

Coollie (glsteba-gmail) wrote :

PS: HW is Aspire 7730G

dreamon (db4mt) wrote :

Hello.

I cant fix it.

http://www.alsa-project.org/db/?f=f06508e10f2e23902234ba44669b222b9f3443e0

having a Acer 7736zg it uses following drivers.

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
01:00.1 Audio device: nVidia Corporation High Definition Audio Controller (rev a1)

Tried to update /etc/modprobe/alsa-base.conf and reboot without success.

Installed the deb without success. Dont know what to do -> "actually have an alsa override installed?"

modinfo snd-hda-codec
filename: /lib/modules/2.6.35-22-generic-pae/kernel/sound/pci/hda/snd-hda-codec.ko
license: GPL
description: HDA codec core
srcversion: CB08144C773D41C0CEDD9E5
depends: snd-pcm,snd,snd-hwdep
vermagic: 2.6.35-22-generic-pae SMP mod_unload modversions 686

Please help.

David Henningsson (diwic) wrote :

@dreamon, your "modinfo snd-hda-codec" shows that you have no alsa driver overrides installed.
After the deb has installed, and you have rebooted your system, "modinfo snd-hda-codec" should say something with "/updates/dkms/" in it.

compiler (compiler) wrote :

@david, my modinfo is:

filename: /lib/modules/2.6.35-22-generic/updates/dkms/snd-hda-codec.ko
license: GPL
description: HDA codec core
srcversion: 96A831192FDEE246AA7DF8B
depends: snd-pcm,snd,snd-hwdep
vermagic: 2.6.35-22-generic SMP mod_unload modversions 686

maybe my lastest alsa- info could help you (http://www.alsa-project.org/db/?f=ba48ac5f47891542e9a67cd7360c9ec0b030946e)?

i've uninstalled the alsa modules and installed the linux-backports-modules-alsa-2.6.35-22-generic (2.6.35-22.12 maverick) and your fix. after all i rebooted the system... but no sound.

thanks for the great support.

ps: i've tried the workaround in the alsa-base.conf... but no sound, too.

compiler (compiler) wrote :

@david, @all, yeah... sound is back, in the alsamixer stettings the speaker was mute and in the audio settings (gnome) i using the profil: analog stereo duplex.

thank you david and the whole support team.

Citro87 (citro87) wrote :

fix works perfectly on my 7736zg, thank you david.

Kushal (kushal-pandya04) wrote :

I'm still having sound issue with Aspire 4930, tried solutions suggested by @gbhuvanesh and also the 'alsa' patch by David Henningsson, but cannot get it working. I added following lines at the end of file alsa-base.conf

alias snd-card-0 snd-hda-intel
options snd-hda-intel model=auto

still no sound it all.
Any suggestions...?

David Henningsson (diwic) wrote :

@Kushal, Coolie, and others: *Please* keep this bug about Acer Aspire 7736z, and nothing else. For all other hardware, please file separate bugs. Thanks for understanding.

description: updated
Kushal (kushal-pandya04) wrote :

@David: Ok, looking forward to get it solved soon, thanks...

Coollie (glsteba-gmail) wrote :

@ David, thnx for the reminder. We'll do that!

dreamon (db4mt) wrote :

Hallo David,

Sorry, it was my fault, uninstalled the debian package. the wrote the post.
So installed deb. reboot and post you modinfo:

modinfo snd-hda-codec
filename: /lib/modules/2.6.35-22-generic-pae/updates/dkms/snd-hda-codec.ko
license: GPL
description: HDA codec core
srcversion: 96A831192FDEE246AA7DF8B
depends: snd-pcm,snd,snd-hwdep
vermagic: 2.6.35-22-generic-pae SMP mod_unload modversions 686

The speaker in Panel shows no volume only speaker an 2 "--" are shown. And sometimes ist goes red.

Still no sound.

When chosing audio -> hardware it shows hdmi output. so i chose analog audio output. next time ist again hdmi output. dont know why.

oh god, what have you done to me? ;)

Download full text (3.5 KiB)

I can confirm that downloading the .deb and reboot my acer aspire 7736z
works.

On Fri, Oct 15, 2010 at 5:01 PM, dreamon <email address hidden> wrote:

> Hallo David,
>
> Sorry, it was my fault, uninstalled the debian package. the wrote the post.
> So installed deb. reboot and post you modinfo:
>
> modinfo snd-hda-codec
> filename:
> /lib/modules/2.6.35-22-generic-pae/updates/dkms/snd-hda-codec.ko
> license: GPL
> description: HDA codec core
> srcversion: 96A831192FDEE246AA7DF8B
> depends: snd-pcm,snd,snd-hwdep
> vermagic: 2.6.35-22-generic-pae SMP mod_unload modversions 686
>
> The speaker in Panel shows no volume only speaker an 2 "--" are shown.
> And sometimes ist goes red.
>
> Still no sound.
>
> When chosing audio -> hardware it shows hdmi output. so i chose analog
> audio output. next time ist again hdmi output. dont know why.
>
> oh god, what have you done to me? ;)
>
> --
> [Acer aspire 7736z - Realtek ALC888] ALSA test tone not correctly played
> back
> https://bugs.launchpad.net/bugs/617647
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “alsa-driver” package in Ubuntu: In Progress
>
> Bug description:
> =====
> This bug is about Acer Aspire 7736z. If you have different hardware, please
> file a separate bug, e g using the "ubuntu-bug audio" command. Other
> computer models are unlikely to be helped by the fix below.
> =====
> Current workaround:
> * Download and install
> http://people.canonical.com/~diwic/temp/alsa-hda-realtek-ignore-sku-dkms_1.0.23.diwic_all.deb<http://people.canonical.com/%7Ediwic/temp/alsa-hda-realtek-ignore-sku-dkms_1.0.23.diwic_all.deb>
> * Reboot
> =====
>
>
> Sound does not play back on my Acer aspire7736z. I Check all my sound
> setting, but still nothing.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.10
> Package: alsa-base 1.0.23+dfsg-1ubuntu2
> ProcVersionSignature: Ubuntu 2.6.35-14.19-generic 2.6.35
> Uname: Linux 2.6.35-14-generic i686
> AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
> Architecture: i386
> AudioDevicesInUse:
> Cannot stat file /proc/4346/fd/27: Stale NFS file handle
> Cannot stat file /proc/4346/fd/36: Stale NFS file handle
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: ubuntu 2978 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf4700000 irq 46'
> Mixer name : 'Intel Cantiga HDMI'
> Components : 'HDA:10ec0888,10250205,00100202
> HDA:11c11040,11c10001,00100200 HDA:80862802,80860101,00100000'
> Controls : 32
> Simple ctrls : 17
> Date: Fri Aug 13 22:59:21 2010
> LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Alpha i386 (20100803.1)
> PackageArchitecture: all
> ProcEnviron:
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> SelectedCard: 0 Intel HDA-Intel - HDA Intel
> SourcePackage: alsa-driver
> Symptom: audio
> Title: [Realtek ALC888] ALSA test tone not correctly played back
> dmi.bios.date: 12/09/2009
> dmi.bios.vendor: Phoenix Technologies LTD
> dmi.bios.version: V2.04
> dmi.board.name: JV50
> dmi.board.vendor: Acer
> dmi.board.version: Rev
> dmi.chassis.type: 10
> dmi.chassis.vendor: Acer
> d...

Read more...

Today found sound!
With you deb it works. But every time I start I have to tune up volume by alsamixer option -> Speaker.
After reboot its again by 0%(no Sound).

Could not find a way without alsamixer to bring sound to work, without tuning speaker option.

What can I do?

Guys, I just filed a bug about brightness and contrast not working
properly. if any of you is affected by this bug you may subscribe to the
bug report. here's the link:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/661778, thanks.

On Sat, 2010-10-16 at 06:48 +0000, dreamon wrote:

> Today found sound!
> With you deb it works. But every time I start I have to tune up volume by alsamixer option -> Speaker.
> After reboot its again by 0%(no Sound).
>
> Could not find a way without alsamixer to bring sound to work, without
> tuning speaker option.
>
> What can I do?
>

Got no sound after 10.04 => 10.10 upgrade on Acer Aspire 7730G.

After adding:

alias snd-card-0 snd-hda-intel
options snd-hda-intel model=auto

to my alsa-base.conf everything is back to normal.

Makes me wonder how and why these things happen...

description: updated
C Pirnat (histoplasmosis) wrote :

The deb worked for me as well. Thank you David for the fix. Also this issue should effect the following models according to the bottom of my laptop and acer's info:

7736
7736z
7736g
7736zg
7336

These are all the same basic series just different configurations of ram/cpu.

Fix works for me on Acer 7736ZG Kubuntu 10.10.

Thank you David!

Regards,
Michael

On 18 October 2010 14:18, David Henningsson <email address hidden> wrote:
> ** Description changed:
>
>  =====
> - This bug is about Acer Aspire 7736z. If you have different hardware, please file a separate bug, e g using the "ubuntu-bug audio" command. Other computer models are unlikely to be helped by the fix below.
> + This bug is about Acer Aspire 7736z, and only exact that model. If you have different hardware, please file a separate bug, e g using the "ubuntu-bug audio" command. Other computer models are unlikely to be helped by the fix below.
>  =====
> - Current workaround:
> -  * Download and install http://people.canonical.com/~diwic/temp/alsa-hda-realtek-ignore-sku-dkms_1.0.23.diwic_all.deb
> -  * Reboot
> + Current workaround:
> +  * Download and install http://people.canonical.com/~diwic/temp/alsa-hda-realtek-ignore-sku-dkms_1.0.23.diwic_all.deb
> +  * Reboot
> +  * You might have to turn up the volume of "Speaker" in alsamixer
>  =====
>
> -
> - Sound does not play back on my Acer aspire7736z. I Check all my sound setting, but still nothing.
> + Sound does not play back on my Acer aspire7736z. I Check all my sound
> + setting, but still nothing.
>
>  ProblemType: Bug
>  DistroRelease: Ubuntu 10.10
>  Package: alsa-base 1.0.23+dfsg-1ubuntu2
>  ProcVersionSignature: Ubuntu 2.6.35-14.19-generic 2.6.35
>  Uname: Linux 2.6.35-14-generic i686
>  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
>  Architecture: i386
>  AudioDevicesInUse:
>   Cannot stat file /proc/4346/fd/27: Stale NFS file handle
>   Cannot stat file /proc/4346/fd/36: Stale NFS file handle
>                        USER        PID ACCESS COMMAND
>   /dev/snd/controlC0:  ubuntu     2978 F.... pulseaudio
>  Card0.Amixer.info:
>   Card hw:0 'Intel'/'HDA Intel at 0xf4700000 irq 46'
>     Mixer name : 'Intel Cantiga HDMI'
>     Components : 'HDA:10ec0888,10250205,00100202 HDA:11c11040,11c10001,00100200 HDA:80862802,80860101,00100000'
>     Controls      : 32
>     Simple ctrls  : 17
>  Date: Fri Aug 13 22:59:21 2010
>  LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Alpha i386 (20100803.1)
>  PackageArchitecture: all
>  ProcEnviron:
>   LANG=en_US.UTF-8
>   SHELL=/bin/bash
>  SelectedCard: 0 Intel HDA-Intel - HDA Intel
>  SourcePackage: alsa-driver
>  Symptom: audio
>  Title: [Realtek ALC888] ALSA test tone not correctly played back
>  dmi.bios.date: 12/09/2009
>  dmi.bios.vendor: Phoenix Technologies LTD
>  dmi.bios.version: V2.04
>  dmi.board.name: JV50
>  dmi.board.vendor: Acer
>  dmi.board.version: Rev
>  dmi.chassis.type: 10
>  dmi.chassis.vendor: Acer
>  dmi.chassis.version: N/A
>  dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV2.04:bd12/09/2009:svnAcer:pnAspire7736:pvr0100:rvnAcer:rnJV50:rvrRev:cvnAcer:ct10:cvrN/A:
>  dmi.product.name: Aspire 7736
>  dmi.product.version: 0100
>  dmi.sys.vendor: Acer
>
> --
> [Acer aspire 7736z - Realtek ALC888] ALSA test tone not correctly played back
> https://bugs.launchpad.net/bugs/617647
> You received this bug notification because you are a direct subscriber
> of the bug.
>

description: updated
description: updated
description: updated

Upstream has accepted the patch, so it will be fixed in Natty. This required a new type of quirking, so the question is if we dare to SRU this for Maverick...

Changed in alsa-driver (Ubuntu):
status: In Progress → Fix Committed
description: updated
summary: - [Acer aspire 7736z - Realtek ALC888] ALSA test tone not correctly played
- back
+ [Acer aspire 7736] Playback not working due to incorrect SKU override
Dafydd Young (dafyddyoung) wrote :

Many thanks to David Henningsson for the fix :)

This bug had caused me to move away from Ubuntu, but now I'm back using it with working sound, hooray!

Paul Abrahams (abrahams) wrote :

Same problem with an Acer K60I laptop. I tried to use "ubuntu-bug audio" but got this:

Please use the "report bug" feature, available in the menu of the application,
or use "ubuntu-bug <packagename>" to report a bug against the particular package.

There is no obvious application for this bug, and I already did ubuntu-bug <packagename> to get to this.

So how do I report this bug for the K60I?

David's deb did not solve the problem for me, nor did the addendum to alsa-base.conf.

Paul Abrahams (abrahams) wrote :

One symptom in my case is that the column for the headphone in alsamixer shows up in grey (and cannot be unmuted).

Jimmy Buck (jimmybuck) wrote :

I see that some audio stuff was just updated in Maverick, was this fix included? I noticed it on my other computer and I don't currently have Maverick installed on the laptop so I'm not able to check for myself at the moment.

David Henningsson (diwic) wrote :

@Jimmy, the fix will be in Natty. There is quite a bit of code to fix it, so I'm a little scared of letting it into Lucid and Maverick.

It works fine in lucid just maverick is the problem
On Nov 8, 2010 9:50 AM, "David Henningsson" <email address hidden>
wrote:
> @Jimmy, the fix will be in Natty. There is quite a bit of code to fix
> it, so I'm a little scared of letting it into Lucid and Maverick.
>
> --
> [Acer aspire 7736] Playback not working due to incorrect SKU override
> https://bugs.launchpad.net/bugs/617647
> You received this bug notification because you are a direct subscriber
> of the bug.

It is a regression from lucid so I think it should be fixed in maverick.

brian duncan (b-g-duncan) wrote :

I ran the .deb and then restarted the machine, heard the startup tones. changed my pref's back to analog sound duplex and speakers for outs and it works.

i'm good to go. thanks everybody.

Acer 7736Z

David Henningsson (diwic) wrote :

@Niels, good point. I have sent this patch for SRU for Maverick now. Note that due to a new policy, it is vital that you check that the patch works, i e once you'll get a notification in this bug and the "verification-needed" tag added, you'll need to replace that with "verification-done" once you have tested that the proposed kernel works. If you fail to do so, the patch will be dropped from the kernel. You'll have less than one week once the "verification-needed" tag has been added.

Andrei (andrei-steffan) wrote :

Hello to all!

I have no sound on my Acer 7736Z, I added those 2 lines in alsa-base.conf, installed the deb file, rebooted many times, but no sound.
I attached my alsa info file. I think the soundcard(s) is not detected.
Can anyone help?

Thanks a lot!

Andrei (andrei-steffan) wrote :

Problem solved!
I installed properly all alsa packages and followed some easy instructions.
http://www.alsa-project.org/main/index.php/Matrix:Module-hda-intel
http://alsa-project.org/main/index.php/Main_Page

Thanks anyway!

frizzle21 (frederik-nnaji) wrote :

adding the ppa, installing the package and restarting did it for me.
https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

thank you ;)

Jim Tarvid (tarvid) wrote :

I have sound with the deb but the level is low and barely audible even with gnome and alsa turned up full. I think I was content in Lucid and I am tempted to go back. The mic did not work well in Lucid either.

Jim Tarvid (tarvid) wrote :

Changing from Stero Output to Stereo Speakers fixes level issue. Now how do I get a decent frame rate with .MOV files.

Hey guys, I'm new to Ubuntu, got a Aspire 7736ZG and tried the different fixes which should have fixed the problem, but I still don't get a sound. What can I try to fix it?

I just ran the alsa-info.sh and here's the created file, hope it helps to fix my problem.

new alsa-info with removed "model=acer-aspire"

Ok, Bug fixed now... Nano saved a file in /etc/modprobe.d/ which shouldnt be there... contained the line "options snd-hda-intel model="acer-aspire""
thx to David Harringsson who helped me per IRC to find the error
Finally i got sound with ubuntu, yeah!

Accepted linux into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

The latest kernel in maverick-proposed fix the regression. Thanks.

tags: added: verification-done
removed: verification-needed
Changed in alsa-driver (Ubuntu Maverick):
status: New → Fix Committed
Andy Whitcroft (apw) on 2011-02-10
Changed in alsa-driver (Ubuntu):
status: Fix Committed → Fix Released
Changed in alsa-driver (Ubuntu Maverick):
status: Fix Committed → Fix Released

LinkedIn
------------

Bug,

I'd like to add you to my professional network on LinkedIn.

- Michael

Michael Hoogkamer
EVP Localization at Chumly Technology, Inc.
Boise, Idaho Area

Confirm that you know Michael Hoogkamer:
https://www.linkedin.com/e/-6zgw8t-h1t49lb5-5/isd/6963695385/pang9M_Z/?hs=false&tok=30IVNNcXC4ORc1

--
You are receiving Invitation to Connect emails. Click to unsubscribe:
http://www.linkedin.com/e/-6zgw8t-h1t49lb5-5/halk3p-AuHd0m5usVeMXYibAsF2SQUqQLrSNQJY/goo/617647%40bugs%2Elaunchpad%2Enet/20061/I2386658800_1/?hs=false&tok=1i_iV_CJi4ORc1

(c) 2012 LinkedIn Corporation. 2029 Stierlin Ct, Mountain View, CA 94043, USA.

To post a comment you must log in.